package hls.plugin.weixin.common;

import hls.plugin.weixin.qiye.DBUtil;
import java.io.IOException;
import java.io.InputStream;
import java.util.HashMap;
import java.util.Map;
import java.util.Properties;

public class GetPropertiesValue
{
  public Map<String, String> GetValue()
  {
    Map map = new HashMap();
    Properties prop = new Properties();
    InputStream in = null;
    in = new DBUtil().getPathName("hls/plugin/weixin/qiye/constants.properties");
    try {
      prop.load(in);
      map.put("appid", prop.getProperty("appid"));
      map.put("secret", prop.getProperty("secret"));
      map.put("winXinSavePath", prop.getProperty("weiXinSavePath"));
      map.put("zuLinsavePath", prop.getProperty("zuLinsavePath"));
      map.put("weixinserviceUrl", prop.getProperty("weixinserviceUrl"));
      map.put("zuLinserviceUrl", prop.getProperty("zuLinserviceUrl"));
      map.put("file_type_code", prop.getProperty("file_type_code"));
    } catch (Exception e) {
      e.printStackTrace();

      if (in != null)
          try {
              in.close();
          } catch (IOException e1) {
              e1.printStackTrace();
          }
  }
  finally
  {
      if (in != null) {
          try {
              in.close();
          } catch (IOException e) {
              e.printStackTrace();
          }
      }
  }
  return map;
}
}